# Class PackageValidator

java.lang.Object
org.apache.sling.feature.analyser.task.impl.contentpackage.PackageValidator

public class PackageValidator extends Object
Validate a package using filevault validation API. This class contains code from filevault package maven plugin.

## Constructor Summary

Constructors
Constructor
Description
`PackageValidator(URI artifactURI, Map<String, ? extends org.apache.jackrabbit.vault.validation.spi.ValidatorSettings> validatorSettings)`

## Method Summary

Modifier and Type
Method
Description
`Collection<org.apache.jackrabbit.vault.validation.ValidationViolation>`
`validate()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageValidator

public PackageValidator(URI artifactURI, Map<String, ? extends org.apache.jackrabbit.vault.validation.spi.ValidatorSettings> validatorSettings)

## Method Details

### validate

public Collection<org.apache.jackrabbit.vault.validation.ValidationViolation> validate() throws IOException

Throws:
  `IOException`